Page 1 of 1

From cubase LE AI element 9.5 to cubase elements 9.5

Posted: Wed Aug 29, 2018 7:15 am
by JENT3AL
Hi, I am Jacopo your new customer.

(I have alteady send this topic on customerservice@asknet.com, but I haven't receive any reply yet.)

I bought "UR 22 mk II" product some days ago.
I have also obtained Cubase LE AI Elements 9.5 as free software.
I really like your software.

During my work sessions, I received your advertising to pass at Cubase 9.5 Full version.. i looked them advertising and I supposed that there is another Cubase element 9.5 (a complete version instead of my LE AI Elements 9.5 version).

I payed it (49,99 €) but in the end of the download pc asked me to install one more time the same program version (Cubase LE AI Elements 9.5) that i already have receive with " UR 22 mk II "..

I am a little bit confused..

Have I bought a complete version of Cubase Elements, but I have not a new release or something similar.

Could you help me?

I am so scared to lost my money for unnecessary operation..
I hope that you will help me to explain this inconvenience.

If my operation is correct, I ask you to guide me to install the new complete program.
Otherwise i dont uderstand how it is possible to receive a dialer if i have already a right version..

Maybe Cubase Element 9.5 and Cubase LE AI elements 9.5 are the same thing?

P.s. i have already wrote another email from your system application where you can find some pictures/attaches with my message.

Waiting your answer.

Thanks!

Kind regards

Re: From cubase LE AI element 9.5 to cubase elements 9.5

Posted: Wed Aug 29, 2018 7:56 am
by svennilenni
Cubase LE, Cubase AI and Cubase Elements are three different software versions with additional features They share the same installer, and the license which can be downloaded to the soft e-licenser dtermines which version of the software is being started. So if you update from Cubase AI (which should be your version if it came with a Steinberg interface) all you need is an update code, no additional installer. The actual version you are running can be seen in the "about" field.